Bug 113041 - UI Busy indicator persists after Find all returns no key found
Summary: UI Busy indicator persists after Find all returns no key found
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All All
: medium minor
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Find-Toolbar
  Show dependency treegraph
 
Reported: 2017-10-10 17:53 UTC by Emil Tanev
Modified: 2019-10-31 04:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2017-10-10 17:53:52 UTC
Open Draw
Open the Find toolbar
Write a word and click Find all

Issue: A busy indicator (loop) appears. It remains even after closing the toolbar, and persists until the document is closed. 

https://www.screencast.com/t/5yDhX9sh2Zk
Comment 1 Telesto 2017-10-10 20:14:07 UTC
Confirming with:
Version: 6.0.0.0.alpha0+
Build ID: c5a93cad149618bbd43632f1660a558c34bdbf7e
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-07_01:04:25
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 QA Administrators 2019-05-21 02:54:03 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2019-10-31 04:46:53 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/877d0c2c211067e8c1b5fdff0f6d9703c94767e9

tdf#113041: Kill WaitCursor after FindAll in Draw and Impress

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.